<?php

if(!defined('_PS_VERSION_')
	OR !defined('_CAN_LOAD_FILES_')
)
{
	exit;
}

class ecm_addonsadvkill extends Module
{
	protected $_errors = false;
	protected $_html = '';
	public
	function __construct()
	{
		$this->name = 'ecm_addonsadvkill';
		$this->tab = 'administration';
		$this->version = 0.1;
		$this->author = 'Elcommerce';
		$this->ps_versions_compliancy = array('min'=> '1.5','max'=> '1.6.10');
		$this->need_instance = 0;

		parent::__construct();

		$this->displayName = $this->l('addonsadvkill');
		$this->description = $this->l('Killed Prestashop addons adv modules and themes');
	}

	public
	function install()
	{
	
		if(!parent::install()
			
			OR !$this->backup_files()
			
		){
			return FALSE;
		}
		return TRUE;
	}

	public
	function uninstall()
	{
		
		if(!parent::uninstall()
			OR !$this->backup()
			

		){
			return FALSE;
		}
		return TRUE;
	}

	private function backup(){
		if (file_exists(_PS_ROOT_DIR_."/config/xml/must_have_modules_list_bak.xml"))
		@rename(_PS_ROOT_DIR_."/config/xml/must_have_modules_list_bak.xml",_PS_ROOT_DIR_."/config/xml/must_have_modules_list.xml");

		if (file_exists(_PS_ROOT_DIR_."/config/xml/default_country_modules_list_bak.xml"))
		@rename(_PS_ROOT_DIR_."/config/xml/default_country_modules_list_bak.xml",_PS_ROOT_DIR_."/config/xml/default_country_modules_list.xml");
		return TRUE;
	}
	private function backup_files(){
		if (file_exists(_PS_ROOT_DIR_."/config/xml/must_have_modules_list.xml"))
		@rename(_PS_ROOT_DIR_."/config/xml/must_have_modules_list.xml",_PS_ROOT_DIR_."/config/xml/must_have_modules_list_bak.xml");

		if (file_exists(_PS_ROOT_DIR_."/config/xml/default_country_modules_list.xml"))
		@rename(_PS_ROOT_DIR_."/config/xml/default_country_modules_list.xml",_PS_ROOT_DIR_."/config/xml/default_country_modules_list_bak.xml");
		return TRUE;
	}

		public
	function postProcess()
	{



		if(Tools::isSubmit('submitPref'))
		{

			$this->backup_files();
			$this->_html .= '
			<div class="conf confirm">
			<img src="../img/admin/ok.gif" alt="" title="" />
			Рекламные модули отключены
			</div>';

		}

		

	}

	private
	function _displayabout()
	{

		$this->_html .= '<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
		<fieldset class="space">
		<legend><img src="../img/admin/email.gif" /> ' . $this->l('Information') . '</legend>
		<div id="dev_div">
		<span><b>' . $this->l('Version') . ':</b> ' . $this->version . '</span><br>
		<span><b>' . $this->l('Developer') . ':</b> <a class="link" href="http://elcommerce.com.ua" target="_blank">savvato</a><br>
		<span><b>' . $this->l('Описание') . ':</b> <a class="link" href="http://support.elcommerce.com.ua/kb/index.php" target="_blank">Наша база знаний</a><br><br>
		<p style="text-align:center"><a href="http://elcommerce.com.ua/"><img src="http://elcommerce.com.ua/img/m/logo.png" alt="Электронный учет коммерческой деятельности" /></a>

		</div>
		<p style="text-align:center"><a href="https://advisor.wmtransfer.com/Spasibo.aspx?url=elcommerce.com.ua"><img src="//advisor.wmtransfer.com/img/Spasibo!.png" target="_blank" title="Передать $пасибо! нашему сайту"/></a>
		</fieldset>
		';
		
	}

	public
	function getContent()
	{

		$this->_html = '<h2>'.$this->l('Module "AddonsAdvKiller "').'</h2>';
		/*$this->postProcess();
		$this->_html .= '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
		<fieldset><legend>'.$this->l('Preferens').'</legend>


		<p class="clear">'.$this->l('Kill addons adv modules  !!!').' </p>




		<input class="button" type="submit" name="submitPref" value="'.$this->l('Kill').'" />
		</fieldset>
		</form>';*/
		$this->_displayabout();
		return $this->_html;
	}
}
